AccessibleAttribute.ToggleState (JavaFX 28)
Description: declaration: module: javafx.graphics, package: javafx.scene, enum: AccessibleAttribute, enum: ToggleState

# Enum Class AccessibleAttribute.ToggleState

java.lang.Object
java.lang.Enum<AccessibleAttribute.ToggleState>
javafx.scene.AccessibleAttribute.ToggleState

All Implemented Interfaces:
  `Serializable, Comparable<AccessibleAttribute.ToggleState>, Constable`

Enclosing class:
  `AccessibleAttribute`

public static enum AccessibleAttribute.ToggleState extends Enum<AccessibleAttribute.ToggleState>
This enum describes the values for `TOGGLE_STATE` attribute.

Since:
  21

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CHECKED`
  Indicates that the toggle control is selected.
  `INDETERMINATE`
  Indicates that the toggle state of the control cannot be determined.
  `UNCHECKED`
  Indicates that the toggle control is not selected.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AccessibleAttribute.ToggleState`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AccessibleAttribute.ToggleState[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNCHECKED

    public static final AccessibleAttribute.ToggleState UNCHECKED
    Indicates that the toggle control is not selected.

  - ### CHECKED

    public static final AccessibleAttribute.ToggleState CHECKED
    Indicates that the toggle control is selected.

  - ### INDETERMINATE

    public static final AccessibleAttribute.ToggleState INDETERMINATE
    Indicates that the toggle state of the control cannot be determined.

- ## Method Details

  - ### values

    public static AccessibleAttribute.ToggleState[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AccessibleAttribute.ToggleState valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null